MBOXPATH(1zm)

NAME
mboxpath - ZMailer utility to show user's mailbox path

SYNOPSIS

mboxpath
    [-D[D..]] [-P[P..]] [-X[X..]] [-d dirpath] username

DESCRIPTION
The mboxpath(1) is a ZMailer utility program to be used when local user directories have been scattered around, and it is desired to have user's shell environment variable MAIL be set to where ever his/her UNIX mailbox file is.

This does only manage scattering under common -d dirpath directory prefix, but usually that is sufficient.

OPTIONS

-d dirpath
    See mailbox(8zm).

-D[D..]
    See mailbox(8zm).

-P[P..]
    See mailbox(8zm).

-X[X..]
    See mailbox(8zm).

USAGE
This is intended for system-wide startup script usage with code something like following for sh:

    MAIL=`mboxpath -P $USER`

It is important to use SAME options here as are used at running the mailbox program.

ENVIRONMENT
The default location for user mailbox files depends per system, but one of them is: /var/mail. This may be modified by setting the variable MAILBOX in /usr/local/etc/zmailer/zmailer.conf to the directory containing user mailbox files, for example /var/mail. This is best done in the ZMailer SiteConfig file.

This program outputs the likely mailbox location to the stdout, it does not go and see if there is anything.

FILES

/usr/local/etc/zmailer/zmailer.conf | (ZCONFIG)
/var/mail | (MAILBOX)

While this utility does read ZENV-variable ZCONFIG, the read 'MAILBOX' variable can be overridden with the '-d' option.

SEE ALSO
mailbox(8zm), scheduler(8zm), comsat(8), biff(1), flock(2), Mail(1), zmailer.conf(5zm).

AUTHOR
This program authored and copyright by:
    Matti Aarnio <mea@nic.funet.fi>